# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['tkdesigner', 'tkdesigner.figma']

package_data = \
{'': ['*']}

install_requires = \
['Jinja2==3.0.1',
 'Pillow>=8.4.0,<9.0.0',
 'requests==2.25.1',
 'urllib3>=1.26.6,<2.0.0']

entry_points = \
{'console_scripts': ['tkdesigner = tkdesigner.cli:main']}

setup_kwargs = {
    'name': 'tkdesigner',
    'version': '1.0.5',
    'description': 'CLI Package for Tkinter-Designer',
    'long_description': '<p align="center">\n  <img width="200" src="https://user-images.githubusercontent.com/42001064/120057695-b1f6c680-c062-11eb-96d5-2c43d05f9018.png" alt="logo">\n  <h1 align="center" style="margin: 0 auto 0 auto;">Tkinter Designer</h1>\n  <h5 align="center" style="margin: 0 auto 0 auto;">Automate Tkinter GUI Creation</h5>\n  </p>\n\n  <p align="center">\n    <img src="https://img.shields.io/github/last-commit/ParthJadhav/Tkinter-Designer">\n    <img src="https://img.shields.io/github/contributors/ParthJadhav/Tkinter-Designer">\n    <img src="https://img.shields.io/github/issues/ParthJadhav/Tkinter-Designer?label=issues">\n    <img src="https://img.shields.io/github/stars/ParthJadhav/Tkinter-Designer">\n  </p>\n\n  <br>\n\n## Translations\n\n- [简体中文](/docs/README.zh-CN.md)\n- [Français](/docs/README.fr-FR.md)\n- [ગુજરાતી](/docs/README.gu-GU.md)\n- [हिन्दी](/docs/README.hin-HIN.md)\n- [Italiano](/docs/README.it-IT.md)\n- [عربية](/docs/README.ar-DZ.md)\n- [Turkish](/docs/README.tr-TR.md)\n- [Brazil](/docs/README.pt-BR.md)\n- [Spanish](/docs/README.spa-SPA.md)\n\n___\n\n## 💡 Introduction\n\nTkinter Designer was created to speed up the GUI development process in Python. It uses the well-known design software [Figma](https://www.figma.com/) to make creating beautiful Tkinter GUIs in Python a piece of cake 🍰.\n\nTkinter Designer uses the Figma API to analyze a design file and create the respective code and files needed for the GUI. Even Tkinter Designer\'s GUI is created using Tkinter Designer.\n\n<img width="500" alt="Tkinter Designer GUI" src="https://user-images.githubusercontent.com/42001064/119863796-92af4a80-bf37-11eb-9f6c-61b1ab99b039.png">\n\n## 📢 Announcement\n### 🎉 Multi frame support is here! 🎉\n\nYou can now create multiple frames in a single design file and Tkinter Designer will create the respective code and files for each frame. This is a huge step for Tkinter Designer and I\'m really excited to see what you guys create with it.\n\nFeel free to share your creations with the community on [Discord](https://discord.gg/QfE5jMXxJv).\n\nIf you encounter any bugs or have any suggestions, please create an issue [here](https://github.com/ParthJadhav/Tkinter-Designer).\n## ☄️  Advantages of Tkinter Designer\n\n1. Interfaces with drag and drop.\n2. A great deal quicker than writing code by hand\n3. Produce more gorgeous interfaces\n\n## ⚡️ Read the instruction here\n\nView the YouTube video or read the instructions below.\n\n<a href="/docs/instructions.md" target="_blank"><img src="https://user-images.githubusercontent.com/42001064/196041925-64f81f75-8bee-42ac-a234-a93339bc8cdc.png" alt="Instructions" width="180px" ></a>\n<a href="https://www.youtube.com/watch?v=Qd-jJjduWeQ" target="_blank"><img src="https://user-images.githubusercontent.com/42001064/196041927-c94c1a94-c708-44a4-9c81-df83bac686d4.png" alt="Youtube Tutorial" width="180px" ></a>\n\n## 🦋 Supporting Tkinter Designer\n\nConsider making a donation to the Tkinter Designer project if you or your business have benefited from it. This will accelerate Tkinter Designer\'s development! Making coffee is simple; I\'ll be happy to enjoy one.\n\n<a href="https://www.buymeacoffee.com/Parthjadhav" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/arial-yellow.png" alt="Buy Me A Coffee" width="180" ></a>\n<a href="https://paypal.me/parthJadhav22?country.x=IN&locale.x=en_GB" target="_blank"><img src="https://user-images.githubusercontent.com/42001064/196043185-ebd61195-44ee-480f-9b76-f5eb7cfcaf55.png" alt="Paypal" width="180" ></a>\n\n\n## 🔵 Discord server & Linkedin\n\nClick the button below to join the discord server or Linkedin \n\n<a href="https://discord.gg/QfE5jMXxJv" target="_blank"><img src="https://user-images.githubusercontent.com/42001064/126635148-9a736436-5a6d-4298-8d8e-acda11aec74c.png" alt="Join Discord Server" width="180px" ></a>\n<a href="https://www.linkedin.com/in/parthjadhav04" target="_blank"><img src="https://img.shields.io/badge/Linkedin-blue?style=flat-square&logo=linkedin" alt="Connect on Linkedin" width="180px" height="58"></a>\n\n\n## 📐 How it Works\n\nThe only thing the user needs to do is design an interface with Figma, and then paste the Figma file URL and API token into Tkinter Designer.\n\nTkinter Designer will automatically generate all the code and images required to create the GUI in Tkinter.\n\n<img width="467" alt="How it Works" src="https://user-images.githubusercontent.com/42001064/119832620-fb88c980-bf1b-11eb-8e9b-4affe7b92ba2.jpg">\n\n___\n\n## 🎯 Examples\n\nThe possibilities are endless with Tkinter Designer, but here are a couple of GUIs that can be perfectly replicated in Tkinter.\n\n<sup>The following are not my creations.</sup>\n\n### HotinGo  [(More Info)](https://github.com/Just-Moh-it/HotinGo)\n\n<img width="467" alt="Example 3" src="https://user-images.githubusercontent.com/42001064/153225081-01a50bfb-5e1c-477d-9b1c-e786498db6d0.png">\n\n### CodTubify  [(More Info)](https://github.com/iamDyeus/CodTubify)\n\n<img width="467" alt="Example 3" src="https://user-images.githubusercontent.com/42001064/181297276-fc8c4106-c988-4b1a-89d2-5e833a574aab.png">\n\n### Registration Page\n\n<img width="467" alt="Example 1" src="https://user-images.githubusercontent.com/42001064/119250338-1f1adf80-bbbd-11eb-8ee1-72028a4e7a7f.png">\n\n### Branding Page\n\n<img width="467" alt="Example 2" src="https://user-images.githubusercontent.com/42001064/119250668-496d9c80-bbbf-11eb-886b-cb1e75da18df.png">\n\n### Frame Recorder [(More Info)](https://github.com/mehmet-mert/FrameRecorder)\n\n<img width="467" alt="Example 3" src="https://user-images.githubusercontent.com/42001064/119834287-71d9fb80-bf1d-11eb-9acf-e7bfc8cc4d9e.png">\n\n### WhatBulk  [(More Info)](https://www.instagram.com/p/CQUmKckFBbT/?utm_medium=copy_link)\n\n<img width="467" alt="Example 3" src="https://user-images.githubusercontent.com/42001064/122562284-87e06500-d060-11eb-8257-55f3b9dbecf0.PNG">\n\n## 🔥 Showcase\n\nPlease let me know if Tkinter Designer was used to create your app. More illustrations will be\nbeneficial for other people!\n\n(See: [Contact Me](#-contact-me)) or use [Show and Tell](https://github.com/ParthJadhav/Tkinter-Designer/discussions/categories/show-and-tell) section in Discussions.\n\n## 📄 License\n<!--- If you\'re not sure which open license to use see https://choosealicense.com/--->\n\nTkinter Designer is licensed under the BSD 3-Clause "New" or "Revised" License.  \n[View Here.](https://github.com/ParthJadhav/Tkinter-Designer/blob/master/LICENSE)\n\n| Permissions | Restrictions | Conditions\n| --- | --- | ---\n&check; Commercial Use | &times; Liability | &#x1f6c8; License and Copyright Notice\n&check; Modification   | &times; Warranty\n&check; Distribution  \n&check; Private Use\n\n## Contribute\n\nAll contributions from the open-source community, individuals, and partners are welcomed. Our achievement is a result of your active participation.\n\n[Contributing guidelines](docs/CONTRIBUTING.md)\n\n[Code of conduct](CODE_OF_CONDUCT.md)\n\n[LEARN.md](LEARN.md)\n\n## 📝 Contact Me\n\nIf you want to contact me, you can\nreach me at Jadhavparth99@gmail.com\n\nConnect with me on [![Linkedin](https://img.shields.io/badge/Linkedin-blue?style=flat-square&logo=linkedin)](https://www.linkedin.com/in/parthjadhav04/)\n',
    'author': 'ParthJadhav',
    'author_email': 'jadhavparth99@gmail.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/ParthJadhav/Tkinter-Designer',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
